usbmuxctl(1)

Name
usbmuxctl - Control software for the Linux Automation GmbH USB-Mux

SYNOPSIS

usbmuxctl --help

usbmuxctl list|status|update|disconnect|connect|id|dfu

usbmuxctl connect --dut-device|--host-dut|--host-device

DESCRIPTION

This is the control software for the Linux Automation GmbH USB-Mux. It may be used to control USB-Muxes on Linux.

USB-Muxes contain an USB Hub, high speed analog switches, power switches and a microcontroller for control. USB-Muxes enable the automated testing of embedded USB devices by allowing the connection of a USB device to a DUT (device under test) without requiring physical access.

OPTIONS

    -h, --help
        Display command line help

--serial SERIAL Serial number of the USB-Mux

    --path PATH
        Path to the USB-Mux

    --json
        Format output as json. Useful for scripting

    --raw
        Format output as raw info. Useful for command line scripting.

    -q, --quiet
        Make the tool less verbose.

USBMUXCTL COMMANDS

list Lists all connected USB-Mux devies

status Get the status of a USB-Mux

update Update software on the USB-Mux

disconnect Clear all connections between the ports of the USB-Mux

            --no-id
                Do not change ID pin if DUT-Port is switched. Allows to switch the ID pin independent of the connections.

connect Make connections between the ports of the USB-Mux

            --dut-device
                Connect DUT and Device

            --host-dut
                Connect Host and DUT

            --host-device
                Connect Host and Device

            --no-id
                Do not change ID pin if DUT-Port is switched. Allows to switch the ID pin independent of the connections.

id Set the state of the ID-Pin to the DUT

            --float
                Let the ID-Pin float

            --pull-low
                Pull the ID-pin low

dfu Send the USB-Mux into the USB-Bootloader mode

EXAMPLES

To create a connection between the host and the device on the "Device"-Port:

System Message: WARNING/2 (man/usbmuxctl.1.rst:, line 80)
    Cannot analyze code. Pygments package not found.

            .. code-block:: bash

               $ usbmuxctl --serial 22 connect --host-device
                                                    +-----------------------+
                                                    | USB-Mux               |
                                                 +--|                       |
                                                 |  | SN:   22              |
                                                 |  | Path: 1-3.1           |
                                                 |  +-----------------------+
                      VCC: 4.95V    +---------+  |
               Host |>--------------|       1 |--+         ID: High
                                    |         |           VCC: 0.00V
                                    |       2 |----x    ------------|> DUT
                                    |         |
                                    |       3 |---------------------|> Device
                                    +---------+           VCC: 4.62V

Author
Chris Fiege <python@pengutronix.de>

Organization: Linux Automation GmbH